"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypedEventEmitter = void 0;
const node_events_1 = require("node:events");
const logger_js_1 = require("./logger.js");
class TypedEventEmitter extends node_events_1.EventEmitter {
    /**
     * Trigger a listener on all emitted events
     * @param event The name of the event to listen to
     * @param listener A function to trigger when the event is emitted
     */
    on(event, listener) {
        return super.on(event, listener);
    }
    /**
     * Trigger a listener only once for an emitted event
     * @param event The name of the event to listen to
     * @param listener A function to trigger when the event is emitted
     */
    once(event, listener) {
        return super.once(event, listener);
    }
    /**
     * Emits an event with the provided arguments
     * @param event The name of the event to emit
     */
    emit(event, ...args) {
        logger_js_1.logger.debug(event, ...args);
        return super.emit(event, ...args);
    }
}
exports.TypedEventEmitter = TypedEventEmitter;
