import { EventEmitter } from "node:events";
import { logger } from "./logger.js";
export class TypedEventEmitter extends EventEmitter {
    /**
     * Trigger a listener on all emitted events
     * @param event The name of the event to listen to
     * @param listener A function to trigger when the event is emitted
     */
    on(event, listener) {
        return super.on(event, listener);
    }
    /**
     * Trigger a listener only once for an emitted event
     * @param event The name of the event to listen to
     * @param listener A function to trigger when the event is emitted
     */
    once(event, listener) {
        return super.once(event, listener);
    }
    /**
     * Emits an event with the provided arguments
     * @param event The name of the event to emit
     */
    emit(event, ...args) {
        logger.debug(event, ...args);
        return super.emit(event, ...args);
    }
}
