import { ReceiveMessageCommandOutput } from "@aws-sdk/client-sqs";
import { ConsumerOptions } from "./types.js";
declare function validateOption(option: string, value: any, allOptions: {
    [key: string]: any;
}, strict?: boolean): void;
/**
 * Ensure that the required options have been set.
 * @param options The options that have been set by the application.
 */
declare function assertOptions(options: ConsumerOptions): void;
/**
 * Determine if the response from SQS has messages in it.
 * @param response The response from SQS.
 */
declare function hasMessages(response: ReceiveMessageCommandOutput): boolean;
export { hasMessages, assertOptions, validateOption };
